package cn.com.ty.lift.business.capital.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;


/**
 * @author bieao
 * @date 2020/2/3
 * @description 大修项目列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalRepairRequest extends PageRequest {
    /**
     * 公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 项目状态
     */
    private String projectStatus;
}
